<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net8.0</TargetFramework>
		<RootNamespace>Coscine.KpiGenerator</RootNamespace>
		<AssemblyName>Coscine.KpiGenerator</AssemblyName>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<Version>1.2.6</Version>
	</PropertyGroup>

	<PropertyGroup>
		<Authors>RWTH Aachen University</Authors>
		<Company>IT Center, RWTH Aachen University</Company>
		<Copyright>©2025 IT Center, RWTH Aachen University</Copyright>
		<Description>KPI Generator is a part of the Coscine group.</Description>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="12.0.1" />
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
		<PackageReference Include="CommandLineParser" Version="2.9.1" />
		<PackageReference Include="Coscine.ApiClient" Version="1.9.4" />
		<PackageReference Include="dotNetRdf.Core" Version="3.1.1" />
		<PackageReference Include="GitLabApiClient" Version="1.8.1-beta.5" />
		<PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Options" Version="8.0.2" />
		<PackageReference Include="NLog" Version="5.2.8" />
		<PackageReference Include="NLog.Extensions.Logging" Version="5.3.8" />
		<PackageReference Include="Polly.Extensions.Http" Version="3.0.0" />
		<PackageReference Include="System.Linq.Async" Version="6.0.1" />
	</ItemGroup>

	<ItemGroup>
		<None Update="appsettings.json">
		  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="appsettings.Development.json">
		  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="nlog.config">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>
</Project>
